from django.urls import path

from diesos.treatments import views

app_name = "treatments"

urlpatterns = [
    path(
        "select-location",
        views.ProcessingLinesSelectView.as_view(),
        name="select-location",
    ),
    path(
        "select-location/<int:pk>",
        views.ProcessingLinesSelectView.as_view(),
        name="select-location-choice",
    ),
    path(
        "select-location/clear",
        views.ProcessingLinesSelectView.as_view(),
        name="select-location-clear",
    ),
    path(
        "types",
        views.TreatmentTypeListView.as_view(),
        name="list-treatment-type",
    ),
    path(
        "type/add",
        views.TreatmentTypeCreateView.as_view(),
        name="add-treatment-type",
    ),
    path(
        "type/<int:pk>",
        views.TreatmentTypeDetailView.as_view(),
        name="view-treatment-type",
    ),
    path(
        "type/<int:pk>/change",
        views.TreatmentTypeUpdateView.as_view(),
        name="change-treatment-type",
    ),
    path(
        "type/<int:pk>/delete",
        views.TreatmentTypeDeleteView.as_view(),
        name="delete-treatment-type",
    ),
    path(
        "type/<int:pk>/undelete",
        views.undelete_treatment_type,
        name="undelete-treatment-type",
    ),
    path(
        "processing-lines",
        views.ProcessingLineListView.as_view(),
        name="list-processing-line",
    ),
    path(
        "processing-line/add",
        views.ProcessingLineCreateView.as_view(),
        name="add-processing-line",
    ),
    path(
        "processing-line/<int:pk>",
        views.ProcessingLineDetailView.as_view(),
        name="view-processing-line",
    ),
    path(
        "processing-line/<int:pk>/scan",
        views.ProcessingLineScanView.as_view(),
        name="scan-processing-line",
    ),
    path(
        "processing-line/<int:pk>/change",
        views.ProcessingLineUpdateView.as_view(),
        name="change-processing-line",
    ),
    path(
        "processing-line/<int:pk>/delete",
        views.ProcessingLineDeleteView.as_view(),
        name="delete-processing-line",
    ),
    path(
        "processing-line/<int:pk>/undelete",
        views.undelete_processing_line,
        name="undelete-processing-line",
    ),
    path(
        "processing-line/<int:pk>/toggle-operation",
        views.toggle_operation_processing_line,
        name="toggle-operation-processing-line",
    ),
    path(
        "processing-line/<int:pk>/print-label",
        views.ProcessingLinePrintLabel.as_view(),
        name="print-label-processing-line",
    ),
]
